%global npm_name snapdragon-lexer
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 3.1.0
Release: %mkrel 5
Summary: Converts a string into an array of tokens
License: MIT
Group: Development/Other
URL: https://github.com/here-be/snapdragon-lexer
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(kind-of)
Requires: npm(snapdragon-handlers)
Requires: npm(snapdragon-stack)
Requires: npm(snapdragon-token)
BuildArch: noarch

%description
Converts a string into an array of tokens, with useful methods for looking
ahead and behind, capturing, matching, et cetera.

%prep
%setup -q -n package

%nodejs_fixdep snapdragon-token ">=4.0.0"

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc CHANGELOG.md
%doc README.md



%changelog
* Fri May 15 2020 joequant <joequant> 3.1.0-5.mga8
+ Revision: 1584153
- recompute deps

* Wed Feb 12 2020 umeabot <umeabot> 3.1.0-4.mga8
+ Revision: 1503182
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 3.1.0-3.mga7
+ Revision: 1280950
- Mageia 7 Mass Rebuild

* Mon May 07 2018 kekepower <kekepower> 3.1.0-2.mga7
+ Revision: 1227339
- Fix nodejs dependencies

* Thu May 03 2018 kekepower <kekepower> 3.1.0-1.mga7
+ Revision: 1225612
- imported package nodejs-snapdragon-lexer

